Cyberwizzard.nl

Welcome to my world

QuickCam Communicate STX on Linux - Introduction

If you are running linux and have had the QuickCam Communicate STX for a while (like me) you would probably have started out with the GSPCAV1 package - from 2007.

2007 you ask? Yes, that piece of kit is antique and I couldn't get it to compile anymore on any modern kernel (which you pretty much should have if you are running Gentoo). Not surprisingly though, I was not the only one. Besides, a driver for a common camera should be updated more often and even better: it should be in the kernel tree.

Guess what? It is!

It sounds so simple but if nobody tells you how to upgrade from the gspcav1 driver to the new driver in the 2.6.27+ kernel tree - you'd be stuck, just like I was.

According to the page of the maintainer, pretty much all new Logitech and webcams from other producers work with the new gspcav driver. In my case, my Logitech identifies as 'ID 046d:08d7 Logitech, Inc. QuickCam Communicate STX'.